SET client_encoding = 'LATIN1';

-- Change 'password' to the actual password for this user!
CREATE USER filter WITH PASSWORD 'password';

CREATE DATABASE filterdb WITH TEMPLATE = template0 ENCODING = 'LATIN1';

ALTER DATABASE filterdb OWNER TO filter;

\connect filterdb

BEGIN TRANSACTION;

SET client_encoding = 'LATIN1';
SET search_path = public, pg_catalog;

CREATE TABLE hashes (
  hash     char(32)   PRIMARY KEY,
  created  timestamp  NOT NULL
);

ALTER TABLE hashes OWNER TO postgres;

CREATE INDEX created_idx ON hashes USING btree (created);

GRANT ALL ON SCHEMA public TO PUBLIC;

REVOKE ALL ON TABLE hashes FROM PUBLIC;
GRANT ALL ON TABLE hashes TO filter;

COMMIT;
